跳转到主要内容
GET
/
datasets
/
{dataset_id}
/
documents
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "a8e0e5b5-78c6-4130-a5ce-25feb0e0b4ac",
      "position": 1,
      "data_source_type": "upload_file",
      "data_source_info": {
        "upload_file_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
      },
      "data_source_detail_dict": {
        "upload_file": {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
          "name": "guide.txt",
          "size": 2048,
          "extension": "txt",
          "mime_type": "text/plain",
          "created_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4",
          "created_at": 1741267200
        }
      },
      "dataset_process_rule_id": "e1f2a3b4-c5d6-7890-ef12-345678901234",
      "name": "guide.txt",
      "created_from": "api",
      "created_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4",
      "created_at": 1741267200,
      "tokens": 512,
      "indexing_status": "completed",
      "error": null,
      "enabled": true,
      "disabled_at": null,
      "disabled_by": null,
      "archived": false,
      "display_status": "available",
      "word_count": 350,
      "hit_count": 0,
      "doc_form": "text_model",
      "doc_metadata": [],
      "summary_index_status": null,
      "need_summary": false
    }
  ],
  "has_more": false,
  "limit": 20,
  "total": 1,
  "page": 1
}

授权

Authorization
string
header
必填

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。

路径参数

dataset_id
string<uuid>
必填

知识库 ID。

查询参数

page
integer
默认值:1

要获取的页码。

limit
integer
默认值:20

每页的项目数量。服务器上限为 100

keyword
string

按文档名称筛选的搜索关键词。

status
enum<string>

按显示状态筛选。

可用选项:
queuing,
indexing,
paused,
error,
available,
disabled,
archived

响应

文档列表。

data
object[]

知识库对象数组。

has_more
boolean

下一页是否还有更多项目。

limit
integer

每页条目数。

total
integer

匹配条目的总数。

page
integer

当前页码。